Skip to main content
PUT
/
api
/
v1
/
launch_plans
/
{id.project}
/
{id.domain}
/
{id.name}
/
{id.version}
Updates the status of a registered :ref:`ref_flyteidl.admin.LaunchPlan`
curl --request PUT \
  --url https://mycluster.domino.tech/api/v1/launch_plans/{id.project}/{id.domain}/{id.name}/{id.version} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": {
    "resource_type": "UNSPECIFIED",
    "org": "<string>"
  },
  "state": "INACTIVE"
}
'
{}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User provided value for the resource.

id.version
string
required

Specific version of the resource.

Body

application/json
id
Identifier of launch plan for which to change state. +required. · object

Identifier of launch plan for which to change state. +required.

state
enum<string>
default:INACTIVE

By default any launch plan regardless of state can be used to launch a workflow execution. However, at most one version of a launch plan (e.g. a NamedEntityIdentifier set of shared project, domain and name values) can be active at a time in regards to schedules. That is, at most one schedule in a NamedEntityIdentifier group will be observed and trigger executions at a defined cadence.

Available options:
INACTIVE,
ACTIVE

Response

A successful response.

Purposefully empty, may be populated in the future.